net.corda.core.contracts

## Interface FixableDealState

- All Superinterfaces:
    ContractState, DealState, LinearState

      public FixableDealState
      extends DealState

  Interface adding fixing specific methods.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface net.corda.core.contracts.LinearState

      `LinearState.ClauseVerifier<S extends LinearState,C extends CommandData>`

  - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generateFix(TransactionBuilder ptx, StateAndRef<?> oldState, Fix fix)` Generate a fixing command for this deal and fix.
    `ServiceType` | `getOracleType()` What oracle service to use for the fixing
    `FixOf` | `nextFixingOf()` When is the next fixing and what is the fixing for?

    - ### Methods inherited from interface net.corda.core.contracts.DealState

      `generateAgreement, getParties, getRef`

    - ### Methods inherited from interface net.corda.core.contracts.LinearState

      `getLinearId, isRelevant`

    - ### Methods inherited from interface net.corda.core.contracts.ContractState

      `getContract, getParticipants`

- - ### Method Detail

    - #### nextFixingOf

          FixOf nextFixingOf()

      When is the next fixing and what is the fixing for?

    - #### getOracleType

          ServiceType getOracleType()

      What oracle service to use for the fixing

    - #### generateFix

          void generateFix(TransactionBuilder ptx,
                           StateAndRef<?> oldState,
                           Fix fix)

      Generate a fixing command for this deal and fix.

      TODO: This would also likely move to methods on the Contract once the changes to reference the Contract from the ContractState are in.